---
title: Consultar rotas
slug: consultar-rotas
docTags: 
createdAt: 2024-05-22T14:33:48.515Z
---

:::ApiMethodV2
```json
{
  "name": "Consultar suas rotas para webhook",
  "method": "GET",
  "url": "https://gyra-core.gyramais.com.br/webhook/findBy",
  "description": "Consultar as rotas ativas para sua organização",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "Oj0GOtM-IVa2i4wsfOhs1",
        "language": "curl",
        "code": "curl --location --request GET 'https://gyra-core.gyramais.com.br/webhook/findBy' \\\n--header 'authorization: Bearer string' \\\n--data '{\"webhookId\":\"String\"}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Oj0GOtM-IVa2i4wsfOhs1"
  },
  "results": {
    "languages": [
      {
        "id": "5Dsg6CH__jTzi5F6T8onu",
        "language": "200",
        "customLabel": "",
        "code": "[\n  {\n    \"id\": \"664f714273d5bf7ee4e6304e\",\n    \"createdAt\": \"2024-05-23T16:39:30.597Z\",\n    \"updatedAt\": \"2024-05-23T16:39:30.597Z\",\n    \"organizationId\": \"6602cba04faa2a9211fb6fa6\",\n    \"type\": \"REPORT\",\n    \"url\": \"https://webhook.site/a8452ddb-ed26-44c2-a8f9-b802f8d29ee9\"\n  }\n]"
      }
    ],
    "selectedLanguageId": "5Dsg6CH__jTzi5F6T8onu"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer token",
        "children": []
      }
    ],
    "bodyDataParameters": [
      {
        "name": "webhookId",
        "kind": "optional",
        "type": "string",
        "description": "Id do webhook"
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  }
}
```
:::

:::hint{type="warning"}
Se o campo "webhookId" não for enviado é retornado todos ids vinculados a empresa do token da sessão
:::

